Retrieve an upload session
curl --request GET \
--url https://api.lighton.ai/api/v2/upload-session/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighton.ai/api/v2/upload-session/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighton.ai/api/v2/upload-session/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_valid": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"documents": [
{
"id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workspace": "<string>",
"title": "<string>",
"collection": 123,
"status": "pending"
}
]
}Upload Sessions
Retrieve an upload session
deprecated
Deprecated — this endpoint will be removed in a future release. Use GET /api/v3/files with upload session filtering instead.
Retrieve the details of an upload session.
GET
/
api
/
v2
/
upload-session
/
{uuid}
Retrieve an upload session
curl --request GET \
--url https://api.lighton.ai/api/v2/upload-session/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighton.ai/api/v2/upload-session/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighton.ai/api/v2/upload-session/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_valid": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"documents": [
{
"id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"workspace": "<string>",
"title": "<string>",
"collection": 123,
"status": "pending"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the upload session
Response
Response serializer for upload session details.
Unique identifier for the upload session
Whether the upload session is currently valid and active
Timestamp when the upload session was created
Timestamp when the upload session was last updated
List of documents associated with this upload session
Show child attributes
Show child attributes